Navigatrix.net - A Voyager's Companion
http://navigatrix.net/

Adobe Acrobat Reader - plug-in not available
http://navigatrix.net/viewtopic.php?f=4&t=768
Page 1 of 1

Author:  newearthpanama [ 31 Jan 2015, 08:17 ]
Post subject:  Adobe Acrobat Reader - plug-in not available

Good day.
Everyone.

I downloaded Adobe Acrobat Reader 9 to view some pdf files but when I try to open the file I get the following message:

The current file cannot be viewed because a plug-in is not available in the current configuration.

I was advise to install plug-in de File Open from following link http://plugin.fileopen.com/
I tried and did not work.
I would like to know if someone has the sudo code to install the plug-in via Terminal.

Appreciate your help and cooperation.

Best regards,

Jose David Nieto

Author:  Moe [ 01 Feb 2015, 03:08 ]
Post subject:  Re: Adobe Acrobat Reader - plug-in not available

Help me out.

I go to http://get.adobe.com/reader/otherversions/ I don't find a Linux version.
Attachment:
Adobe Reader Install for all versions - Mozilla Firefox_002.png
Adobe Reader Install for all versions - Mozilla Firefox_002.png [ 56.31 KiB | Viewed 10724 times ]
You could install a Windows version, and it might work, but you already have a pdf viewer
Attachment:
Selection_001.png
Selection_001.png [ 64.32 KiB | Viewed 10724 times ]


Are you trying to view documents encrypted with the FileOpen software?

Author:  Moe [ 01 Feb 2015, 04:43 ]
Post subject:  Re: Adobe Acrobat Reader - plug-in not available

I've been doing some reading and I think I've figured out what you are trying to do.

You have an encrypted pdf. You want to read it.

A 'better' solution would be to check out:
https://github.com/alaingilbert/ineptpdf

It indicates you might need two supplementary python modules (PyWin, and pycyrpto)

Pycrypto you already have
Quote:
nx@nx:~$ sudo pip install pycrypto
Requirement already satisfied (use --upgrade to upgrade): pycrypto in /usr/lib/python2.7/dist-packages
Cleaning up...
nx@nx:~$


PyWin is easily obtained via
Code:
sudo pip install PyWin
It gives an error on installation, but when I checked, it was there.
Quote:
nx@nx:~$ sudo pip install PyWin
Downloading/unpacking PyWin
Downloading pywin-0.3.1.zip
Running setup.py (path:/tmp/pip_build_root/PyWin/setup.py) egg_info for package PyWin
Downloading http://pypi.python.org/packages/source/ ... .35.tar.gz
Extracting in /tmp/tmp0mLbGy
Now working in /tmp/tmp0mLbGy/distribute-0.6.35
Building a Distribute egg in /tmp/pip_build_root/PyWin
/tmp/pip_build_root/PyWin/distribute-0.6.35-py2.7.egg

Installing collected packages: PyWin
Running setup.py install for PyWin

<SNIP>
----------------------------------------
Cleaning up...
Command /usr/bin/python -c "import setuptools, tokenize;__file__='/tmp/pip_build_root/PyWin/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-whsTd4-record/install-record.txt --single-version-externally-managed --compile failed with error code 1 in /tmp/pip_build_root/PyWin
Storing debug log for failure in /home/nx/.pip/pip.log
nx@nx:~$
I don't have any DRM files to test so, I don't know.

The last part is to download and unpack https://github.com/alaingilbert/ineptpdf/archive/master.zip into a directory.

Use your terminal to go to that directory, for example,
Code:
cd ~/Downloads/ineptpdf-master
and then once in the directory
Code:
python ineptpdf.py
For instructions check out http://www.epubor.com/ineptpdf-pyw.html

Page 1 of 1 All times are UTC - 5 hours
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/